## Tool: `list_backups`

Lists all backups.

The following sample demonstrate how to use `curl` to invoke the `list_backups` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://file.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_backups", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

ListBackupsRequest lists backups.

### ListBackupsRequest

| JSON representation |
|---|
| ``` { "parent": string, "pageSize": integer, "pageToken": string, "orderBy": string, "filter": string } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The project and location for which to retrieve backup information, in the format `projects/{project_number}/locations/{location}`. In Filestore, backup locations map to Google Cloud regions, for example **us-west1** . To retrieve backup information for all locations, use "-" for the `{location}` value. |
| `pageSize` | `integer` The maximum number of items to return. |
| `pageToken` | `string` The next_page_token value to use if there are additional results to retrieve for this list request. |
| `orderBy` | `string` Sort results. Supported values are "name", "name desc" or "" (unsorted). |
| `filter` | `string` List filter. |

## Output Schema

ListBackupsResponse is the result of ListBackupsRequest.

### ListBackupsResponse

| JSON representation |
|---|
| ``` { "backups": [ { object (`https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/list_backups#Output.Schema.Backup`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `backups[]` | ``object (`https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/list_backups#Output.Schema.Backup`)`` A list of backups in the project for the specified location. If the `{location}` value in the request is "-", the response contains a list of backups from all locations. If any location is unreachable, the response will only return backups in reachable locations and the "unreachable" field will be populated with a list of unreachable locations. |
| `nextPageToken` | `string` The token you can use to retrieve the next page of results. Not returned if there are no more results in the list. |
| `unreachable[]` | `string` Unordered list. Locations that could not be reached. |

### Backup

| JSON representation |
|---|
| ``` { "name": string, "description": string, "state": enum (`https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/list_backups#Output.Schema.State`), "createTime": string, "labels": { string: string, ... }, "capacityGb": string, "storageBytes": string, "sourceInstance": string, "sourceFileShare": string, "sourceInstanceTier": enum (`https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/list_instances#Output.Schema.Tier`), "downloadBytes": string, "satisfiesPzs": boolean, "satisfiesPzi": boolean, "kmsKey": string, "tags": { string: string, ... }, "fileSystemProtocol": enum (`https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/list_instances#Output.Schema.FileProtocol`) } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. The resource name of the backup, in the format `projects/{project_number}/locations/{location_id}/backups/{backup_id}`. |
| `description` | `string` A description of the backup with 2048 characters or less. Requests with longer descriptions will be rejected. |
| `state` | ``enum (`https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/list_backups#Output.Schema.State`)`` Output only. The backup state. |
| `createTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. The time when the backup was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `labels` | `map (key: string, value: string)` Resource labels to represent user provided metadata. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| `capacityGb` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Capacity of the source file share when the backup was created. |
| `storageBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The size of the storage used by the backup. As backups share storage, this number is expected to change with backup creation/deletion. |
| `sourceInstance` | `string` The resource name of the source Filestore instance, in the format `projects/{project_number}/locations/{location_id}/instances/{instance_id}`, used to create this backup. |
| `sourceFileShare` | `string` Name of the file share in the source Filestore instance that the backup is created from. |
| `sourceInstanceTier` | ``enum (`https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/list_instances#Output.Schema.Tier`)`` Output only. The service tier of the source Filestore instance that this backup is created from. |
| `downloadBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. Amount of bytes that will be downloaded if the backup is restored. This may be different than storage bytes, since sequential backups of the same disk will share storage. |
| `satisfiesPzs` | `boolean` Output only. Reserved for future use. |
| `satisfiesPzi` | `boolean` Output only. Reserved for future use. |
| `kmsKey` | `string` Immutable. KMS key name used for data encryption. |
| `tags` | `map (key: string, value: string)` Optional. Input only. Immutable. Tag key-value pairs bound to this resource. Each key must be a namespaced name and each value a short name. Example: "123456789012/environment" : "production", "123456789013/costCenter" : "marketing" See the documentation for more information: - Namespaced name: <https://cloud.google.com/resource-manager/docs/tags/tags-creating-and-managing#retrieving_tag_key> - Short name: <https://cloud.google.com/resource-manager/docs/tags/tags-creating-and-managing#retrieving_tag_value> An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |
| `fileSystemProtocol` | ``enum (`https://docs.cloud.google.com/filestore/docs/reference/mcp/tools_list/list_instances#Output.Schema.FileProtocol`)`` Output only. The file system protocol of the source Filestore instance that this backup is created from. |

### Timestamp

| JSON representation |
|---|
| ``` { "seconds": string, "nanos": integer } ``` |

| Fields ||
|---|---|
| `seconds` | `string (https://developers.google.com/discovery/v1/type-format format)` Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
| `nanos` | `integer` Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |

### LabelsEntry

| JSON representation |
|---|
| ``` { "key": string, "value": string } ``` |

| Fields ||
|---|---|
| `key` | `string` |
| `value` | `string` |

### BoolValue

| JSON representation |
|---|
| ``` { "value": boolean } ``` |

| Fields ||
|---|---|
| `value` | `boolean` The bool value. |

### TagsEntry

| JSON representation |
|---|
| ``` { "key": string, "value": string } ``` |

| Fields ||
|---|---|
| `key` | `string` |
| `value` | `string` |

### State

The backup state.

| Enums ||
|---|---|
| `STATE_UNSPECIFIED` | State not set. |
| `CREATING` | Backup is being created. |
| `FINALIZING` | Backup has been taken and the operation is being finalized. At this point, changes to the file share will not be reflected in the backup. |
| `READY` | Backup is available for use. |
| `DELETING` | Backup is being deleted. |
| `INVALID` | Backup is not valid and cannot be used for creating new instances or restoring existing instances. |

### Tier

Available service tiers.

| Enums ||
|---|---|
| `TIER_UNSPECIFIED` | Not set. |
| `STANDARD` | STANDARD tier. BASIC_HDD is the preferred term for this tier. |
| `PREMIUM` | PREMIUM tier. BASIC_SSD is the preferred term for this tier. |
| `BASIC_HDD` | BASIC instances offer a maximum capacity of 63.9 TB. BASIC_HDD is an alias for STANDARD Tier, offering economical performance backed by HDD. |
| `BASIC_SSD` | BASIC instances offer a maximum capacity of 63.9 TB. BASIC_SSD is an alias for PREMIUM Tier, and offers improved performance backed by SSD. |
| `HIGH_SCALE_SSD` | HIGH_SCALE instances offer expanded capacity and performance scaling capabilities. |
| `ENTERPRISE` | ENTERPRISE instances offer the features and availability needed for mission-critical workloads. |
| `ZONAL` | ZONAL instances offer expanded capacity and performance scaling capabilities. |
| `REGIONAL` | REGIONAL instances offer the features and availability needed for mission-critical workloads. |

### FileProtocol

File access protocol.

| Enums ||
|---|---|
| `FILE_PROTOCOL_UNSPECIFIED` | FILE_PROTOCOL_UNSPECIFIED serves a "not set" default value when a FileProtocol is a separate field in a message. |
| `NFS_V3` | NFS 3.0. |
| `NFS_V4_1` | NFS 4.1. |

### Tool Annotations

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌